Skip to main content

Build Market Order REST API Endpoint

Loading...

Updated on
Feb 27, 2026

Build Market Order REST API Endpoint

Parameters

Body Parameters

action
object
REQUIRED
Loading...
type
string
Loading...
orders
array
Loading...
asset
string
Loading...
side
string
Loading...
size
string
Loading...
tif
string
Loading...

Returns

hash
string
Loading...
nonce
integer
Loading...
action
object
Loading...
type
string
Loading...
orders
array
Loading...
a
integer
Loading...
b
boolean
Loading...
p
string
Loading...
s
string
Loading...
r
boolean
Loading...
t
object
Loading...
limit
object
Loading...
tif
string
Loading...
grouping
string
Loading...
isSpot
boolean
Loading...
builderFee
string
Loading...
builderFeeRaw
integer
Loading...
builder
string
Loading...
nextStep
string
Loading...
Request
1
curl -s -X POST https://docs-demo.hype-mainnet.quiknode.pro/hypercore/exchange \
2
-H "Content-Type: application/json" \
3
-d '{
4
"action": {
5
"type": "order",
6
"orders": [
7
{
8
"asset": "BTC",
9
"side": "buy",
10
"size": "0.001",
11
"tif": "market"
12
}
13
]
14
}
15
}'
16
1
curl -s -X POST https://docs-demo.hype-mainnet.quiknode.pro/hypercore/exchange \
2
-H "Content-Type: application/json" \
3
-d '{
4
"action": {
5
"type": "order",
6
"orders": [
7
{
8
"asset": "BTC",
9
"side": "buy",
10
"size": "0.001",
11
"tif": "market"
12
}
13
]
14
}
15
}'
16
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free